Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.coherence.servlet
Class LogThreadsHoldingLockAgent

`java.lang.Object
com.tangosol.util.Base
com.tangosol.net.AbstractInvocable
com.tangosol.coherence.servlet.LogThreadsHoldingLockAgent`

All Implemented Interfaces:
  ExternalizableLite, Invocable, InvocableInOrder, PriorityTask, Serializable, Runnable

Deprecated. In releases following 3.6 customization will be declarative.

      public class LogThreadsHoldingLockAgent

extends AbstractInvocable
implements ExternalizableLite

An invocation service that logs the stacktraces of all threads holding a lock for a session.

Version:
  Coherence 3.6
Author:
  jk 2009.12.10

Field Summary
`static String` | `THREAD_OWNING_MSG` Deprecated.
`static String` | `THREADS_OWNING_MSG` Deprecated.

Fields inherited from interface com.tangosol.net.PriorityTask
`SCHEDULE_FIRST, SCHEDULE_IMMEDIATE, SCHEDULE_STANDARD, TIMEOUT_DEFAULT, TIMEOUT_NONE`

Constructor Summary
`LogThreadsHoldingLockAgent()` Deprecated. Constructor
`LogThreadsHoldingLockAgent(String sId)` Deprecated. Constructor

Method Summary
`protected void` | `logThreadStackTraces(String sId, AbstractHttpSessionCollection collection)` Deprecated.
`void` | `readExternal(DataInput in)` Deprecated. Restore the contents of this object by loading the object's state from the passed DataInput object.
`void` | `run()` Deprecated. Log the stacktraces of all the threads holding a lock for the session with id m_sId
`protected StringBuilder` | `threadStackTrace(Thread t)` Deprecated. Create a StringBuilder which contains the stacktrace for the Thread argument
`void` | `writeExternal(DataOutput out)` Deprecated. Save the contents of this object by storing the object's state into the passed DataOutput object.
`protected void` | `writeToLog(StringBuilder s)` Deprecated. Delegating method for logging for mock testing purposes

Methods inherited from class com.tangosol.net.AbstractInvocable
`getExecutionTimeoutMillis, getRequestTimeoutMillis, getResult, getSchedulingPriority, getService, init, isRespondInOrder, runCanceled, setResult`

Field Detail

### THREAD_OWNING_MSG

    public static final String THREAD_OWNING_MSG

  Deprecated.
  See Also:
    Constant Field Values

### THREADS_OWNING_MSG

    public static final String THREADS_OWNING_MSG

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### LogThreadsHoldingLockAgent

    public LogThreadsHoldingLockAgent()

  Deprecated.
  Constructor

### LogThreadsHoldingLockAgent

    public LogThreadsHoldingLockAgent(String sId)

  Deprecated.
  Constructor
  Parameters:
    `sId` - session id

Method Detail

### run

    public void run()

  Deprecated.
  Log the stacktraces of all the threads holding a lock for the session with id m_sId
  Specified by:
    `run` in interface `Invocable`
  Specified by:
    `run` in interface `Runnable`
  See Also:
    `Thread.run()`

### logThreadStackTraces

    protected void logThreadStackTraces(String sId,
                                        AbstractHttpSessionCollection collection)

  Deprecated.

### writeToLog

    protected void writeToLog(StringBuilder s)

  Deprecated.
  Delegating method for logging for mock testing purposes
  Parameters:
    `s` - the string to log

### threadStackTrace

    protected StringBuilder threadStackTrace(Thread t)

  Deprecated.
  Create a StringBuilder which contains the stacktrace for the Thread argument
  Parameters:
    `t` - the Thread
  Returns:
    a StringBuilder with the stacktrace for t

### readExternal

    public void readExternal(DataInput in)
                      throws IOException

  Deprecated.
  Restore the contents of this object by loading the object's state from the passed DataInput object.
  Specified by:
    `readExternal` in interface `ExternalizableLite`
  Parameters:
    `in` - the DataInput stream to read data from in order to restore the state of this object
  Throws:
    `IOException` - if an I/O exception occurs
    `NotActiveException` - if the object is not in its initial state, and therefore cannot be deserialized into

### writeExternal

    public void writeExternal(DataOutput out)
                       throws IOException

  Deprecated.
  Save the contents of this object by storing the object's state into the passed DataOutput object.
  Specified by:
    `writeExternal` in interface `ExternalizableLite`
  Parameters:
    `out` - the DataOutput stream to write the state of this object to
  Throws:
    `IOException` - if an I/O exception occurs

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.